/*
 *--- PBlackAttributes.cpp ------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 3:40 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PBlackAttributes.html
 *-------------------------------------------------------------------------
 */

#include "PBlackAttributes.h"
#include "PGetBlackAttributes.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 10;

PBlackAttributes::PBlackAttributes
  (	short dBlackLimit,
	PMBool  bOvrprntTxt,
	short dOvrprntTxtSz,
	PMBool  bOvrprntLines,
	PMBool  bOvrprntFills )
{
	char temp[REQUEST_SIZE];
	PRequestBuf request(temp);
	
	request	<< dBlackLimit
			<< bOvrprntTxt
			<< dOvrprntTxtSz
			<< bOvrprntLines
			<< bOvrprntFills;

	PCommand command(pm_blackattributes, request);
}

PBlackAttributes::PBlackAttributes(const PGetBlackAttributes& blackAttr)
{
	char temp[REQUEST_SIZE];
	PRequestBuf request(temp);
	
	request	<< blackAttr.dBlackLimit
			<< blackAttr.bOvrprntTxt
			<< blackAttr.dOvrprntTxtSz
			<< blackAttr.bOvrprntLines
			<< blackAttr.bOvrprntFills;

	PCommand command(pm_blackattributes, request);
}

// end of PBlackAttributes.cpp
