/*
 *--- PBoolCommand.h ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:53 PM by Paul Ferguson.
 *
 * Description:
 *-------------------------------------------------------------------------
 */
#ifndef __PBoolCommand__
#define __PBoolCommand__

#include "PCommand.h"

template <ePMCommand COMMAND>
class PBoolCommand
{

public:

	PBoolCommand(PMBool theBool) { PCommand command(COMMAND, (PMBool)theBool); }

private:

	PBoolCommand();
};

typedef PBoolCommand<pm_autoflow>			PAutoflow;
typedef PBoolCommand<pm_changewindow>		PChangeWindow;
typedef PBoolCommand<pm_colorpalette>		PColorPalette;
typedef PBoolCommand<pm_controlpalette>		PControlPalette;
typedef PBoolCommand<pm_deleteunusedlayers> PDeleteUnusedLayers;
typedef PBoolCommand<pm_displaynonprinting>	PDisplayNonPrinting;
typedef PBoolCommand<pm_displayspecial>		PDisplaySpecial;
typedef PBoolCommand<pm_displaystylenames>	PDisplayStyleNames;
typedef PBoolCommand<pm_findwindow>			PFindWindow;
typedef PBoolCommand<pm_guides>				PGuides;
typedef PBoolCommand<pm_hyperlinkpalette>	PHyperlinkPalette;
typedef PBoolCommand<pm_lock>				PLock;
typedef PBoolCommand<pm_lockguides>			PLockGuides;
typedef PBoolCommand<pm_masteritems>		PMasterItems;
typedef PBoolCommand<pm_masterpagepalette>	PMasterPagePalette;
typedef PBoolCommand<pm_nobreak>			PNoBreak;
typedef PBoolCommand<pm_nonprinting>		PNonPrinting;
typedef PBoolCommand<pm_pasteremembers>		PPasteRemembers;
typedef PBoolCommand<pm_printscreenrgbs>	PPrintScreenRGBs;
typedef PBoolCommand<pm_printepspreviews>	PPrintEPSPreviews;
typedef PBoolCommand<pm_redraw>				PRedraw;
typedef PBoolCommand<pm_renderclip>			PRenderClip;
typedef PBoolCommand<pm_rulers>				PRulers;
typedef PBoolCommand<pm_scrollbars>			PScrollBars;
typedef PBoolCommand<pm_showerroralert>		PShowErrorAlert;
typedef PBoolCommand<pm_snaptoguides>		PSnapToGuides;
typedef PBoolCommand<pm_snaptorulers>		PSnapToRulers;
typedef PBoolCommand<pm_spellwindow>		PSpellWindow;
typedef PBoolCommand<pm_stylepalette>		PStylePalette;
typedef PBoolCommand<pm_suppressautosave>	PSuppressAutosave;
typedef PBoolCommand<pm_suppresspi>			PSuppressPI;
typedef PBoolCommand<pm_toolbox>			PToolbox;
typedef PBoolCommand<pm_zerolock>			PZeroLock;

#endif

// end of PBoolCommand.h
