/*
 *--- PColor.cpp ----------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:55 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PColor.html
 *-------------------------------------------------------------------------
 */

#include <string.h>

#include "PMCQErrs.h"

#include "PColor.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PColor::PColor(const char * sColorName, short nTintValue) throw (PMErr)
{
	if (sColorName == NULL || sColorName[0] == '\0')
		throw CQ_FAILURE;

/*
	if (nTintValue > 1000)							// peg maximum
		nTintValue = 1000;
	else if (nTintValue < 0 && nTintValue != -2)	// and minimum
		nTintValue = 0;
*/

	PRequestBuf request(strlen(sColorName) + 4);
	request << sColorName << nTintValue;	
	PCommand command(pm_color, request);
}

// end of PColor.cpp
