/*
 *--- PDefineColor.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PDefineColor.html
 *-------------------------------------------------------------------------
 */

#include "PDefineColor.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PDefineColor::PDefineColor
  (	const char *	sColorName,
	eColorType		cType,
	eColor			cModel,
	PMBool			bOverprint,
	short			d1,
	short			d2,
	short			d3,
	short			d4)
{
	PRequestBuf request(strlen(sColorName) + 32);

	request << sColorName
			<< (short) cType
			<< (short) cModel
			<< bOverprint
			<< d1
			<< d2
			<< d3
			<< d4;
			
	PCommand command(pm_definecolor, request);
}

PDefineColor::PDefineColor
  (	const char *	sColorName,
	// assumes cType == kColorTypeTint
	eColor			cModel,
	PMBool			bOverprint,
	short			d1,
	short			d2,
	short			d3,
	short			d4,
	const char *	sBaseColor,
	short			dInkLevel)
{
	PRequestBuf request(strlen(sColorName) + strlen(sBaseColor) + 36);

	request << sColorName
			<< (short) kColorTypeTint
			<< (short) cModel
			<< bOverprint
			<< d1
			<< d2
			<< d3
			<< d4
			<< (short) 1
			<< sBaseColor
			<< dInkLevel;
			
	PCommand command(pm_definecolor, request);
}

PDefineColor::PDefineColor(PRequestBuf& request)
{
	PCommand command(pm_definecolor, request);
}
// end of PDefineColor.cpp
