/*
 *--- PDeletePrivateData.cpp ----------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:48 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PDeletePrivateData.html
 *-------------------------------------------------------------------------
 */

#include <string.h>

#include "PMCQErrs.h"
#include "PCommand.h"
#include "PRequestBuf.h"
#include "PDeletePrivateData.h"

PDeletePrivateData::PDeletePrivateData
  (	const char * sDeveloperID,
	const char * sPluginID,
	short cTargetClass,
	unsigned long nTypeFlag,
	unsigned long nTargetID ) throw (PMErr)
{
	if (strlen(sDeveloperID) != 4 || strlen(sPluginID) != 4)
		throw CQ_INVALID_CQ_ARG;
	
	char buf[100];					// plenty big to hold everything.
	PRequestBuf request(buf);

	request << sDeveloperID
			<< sPluginID
			<< cTargetClass
			<< nTypeFlag
			<< (short) 1			// only one delete at a time.
			<< nTargetID;

	PCommand command(pm_deleteprivatedata, request);	
}

// end of PDeletePrivateData.cpp
