/*
 *--- PFillAndLine.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PFillAndLine.html
 *-------------------------------------------------------------------------
 */

#include "PFillAndLine.h"
#include "PRequestBuf.h"
#include "PCommand.h"


PFillAndLine::PFillAndLine
  (	short cFillStyle,
	const char * sFillColor,
	PMBool  bFillOverprint,
	short cLineStyle,
	short bReverse,
	short dWeight,
	PMBool  bOpaque,
	const char * sLineColor,
	PMBool  bLineOverprint,
	short nFillTint,
	short nLineTint)
{
	PRequestBuf request(strlen(sFillColor) + strlen(sLineColor) + 32);
	
	request << cFillStyle
			<< sFillColor
			<< bFillOverprint
			<< cLineStyle
			<< bReverse
			<< dWeight
			<< bOpaque
			<< sLineColor
			<< bLineOverprint
			<< nFillTint
			<< nLineTint;
	
	PCommand command(pm_fillandline, request);
}

// end of PFillAndLine.cpp
