/*
 *--- PHyphenation.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PHyphenation.html
 *-------------------------------------------------------------------------
 */

#include "PHyphenation.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 8;

PHyphenation::PHyphenation(short cState, short nHyphenLimit, long xZone)
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << cState << nHyphenLimit << xZone;
			
	PCommand command(pm_hyphenation, request);
}

PHyphenation::PHyphenation()
{
	//turns hyphenation off.
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << (short)0 << (short)0 << (long)0;

	PCommand command(pm_hyphenation, request);
}

// end of PHyphenation.cpp
