/*
 *--- PImageSaveAs.h ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 3:29 PM by Paul Ferguson.
 *-------------------------------------------------------------------------
 */
#ifndef __PImageSaveAs__
#define __PImageSaveAs__

#include "PCommand.h"
#include "PMTypes.h"

class PImageSaveAs
{

public:

	PImageSaveAs(		// for TIFF images
		const char *	sFilename,
		PMBool			bLinkOption,
		PMBool			bProfile,
		PMBool			bCropped,
		short			nCompression,
		short			nFormatStyle,
		PMBool			bSaveForSep,
		short			nTIFFOption);

	PImageSaveAs(		// for JPEG images
		const char *	sFilename,
		PMBool			bLinkOption,
		PMBool			bProfile,
		PMBool			bCropped,
		short			nQuality,
		short			nResolution);

	PImageSaveAs(		// for GIF images
		const char *	sFilename,
		PMBool			bLinkOption,
		PMBool			bProfile,
		PMBool			bCropped,
		short			nTransparency,
		PMBool			bInterlaced,
		short			nColorPalette,
		short			nColorDepth,
		short			nResolution,
		const char *	sCaption);
private:

	PImageSaveAs();
};

#endif

// end of PImageSaveAs.h
