/*
 *--- PIndents.cpp --------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PIndents.html
 *-------------------------------------------------------------------------
 */

#include "PIndents.h"
#include "PGetIndents.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 12;

PIndents::PIndents(long xLeftIndent, long xFirstIndent, long xRightIndent)
{
	long x[3];
	x[0] = xLeftIndent;
	x[1] = xFirstIndent;
	x[2] = xRightIndent;
	PCommand command(pm_indents, x, REQUEST_SIZE);
}

PIndents::PIndents(const PGetIndents& indents)
{
	long x[3];
	x[0] = indents.xLeftIndent;
	x[1] = indents.xFirstIndent;
	x[2] = indents.xRightIndent;
	PCommand command(pm_indents, x, REQUEST_SIZE);
}

// end of PIndents.cpp
