/*
 *--- PLinkOptions.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PLinkOptions.html
 *-------------------------------------------------------------------------
 */

#include "PLinkOptions.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 12;		// six booleans

PLinkOptions::PLinkOptions
	  ( PMBool bUpdAutoText,
		PMBool bALert1stText,
		PMBool bStoreInPub,
		PMBool bUpdAUtoGrph,
		PMBool bAlert1stGrph,
		PMBool bDefault )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << bUpdAutoText
			<< bALert1stText
			<< bStoreInPub
			<< bUpdAUtoGrph
			<< bAlert1stGrph
			<< bDefault;
			
	PCommand command(pm_linkoptions, request);
}

// end of PLinkOptions.cpp
