/*
 *--- PMasterPage.cpp -----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PMasterPage.html
 *-------------------------------------------------------------------------
 */

#include "PMasterPage.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PMasterPage::PMasterPage
  (	const char * sLeftMaster,
	const char * sRightMaster,
	const char * sRange,
	PMBool bKeepGuides,
	PMBool bKeepColumns,
	PMBool bAdjustLayout )
{
	PRequestBuf request(strlen(sLeftMaster) + strlen(sRightMaster) + strlen(sRange) + 12);

	request << sLeftMaster;

	if (sRightMaster)
		request << sRightMaster;
	else
		request << (short) 0;
		
	if (sRange)
		request << sRange;
	else
		request << (short) 0;
	
	request << bKeepGuides << bKeepColumns << bAdjustLayout;
	
	PCommand command(pm_masterpage, request);
}

// end of PMasterPage.cpp
