/*
 *--- PNullCommand.h -------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 9:54 PM by Paul Ferguson.
 *
 * Description:  This is a template class for commands that
 *               take no parameters.
 *--------------------------------------------------------------
 */
#ifndef __PNullCommand__
#define __PNullCommand__

#ifndef __PCommand__
	#include "PCommand.h"
#endif

template <ePMCommand COMMAND>
class PNullCommand
{

public:

	PNullCommand() { PCommand command(COMMAND); }
};

typedef PNullCommand<pm_bringforward>			PBringForward;
typedef PNullCommand<pm_bringtofront>			PBringToFront;
typedef PNullCommand<pm_cascade>				PCascade;
typedef PNullCommand<pm_changenext>				PChangeNext;
typedef PNullCommand<pm_clear>					PClear;
typedef PNullCommand<pm_convertenhmetafile>		PConvertEnhMetafile;
typedef PNullCommand<pm_copy>					PCopy;
typedef PNullCommand<pm_cut>					PCut;
typedef PNullCommand<pm_delete>					PDelete;
typedef PNullCommand<pm_deleterulerguides>		PDeleteRulerGuides;
typedef PNullCommand<pm_deselect>				PDeselect;
typedef PNullCommand<pm_editlayout>				PEditLayout;
typedef PNullCommand<pm_editstory>				PEditStory;
typedef PNullCommand<pm_exit>					PExit;
typedef PNullCommand<pm_findnext>				PFindNext;
typedef PNullCommand<pm_group>					PGroup;
typedef PNullCommand<pm_imagesaveforsep>		PImageSaveForSep;
typedef PNullCommand<pm_indexauto>				PIndexAuto;
typedef PNullCommand<pm_indexautoname>			PIndexAutoName;
typedef PNullCommand<pm_masterguides>			PMasterGuides;
typedef PNullCommand<pm_minisave>				PMiniSave;
typedef PNullCommand<pm_paste>					PPaste;
typedef PNullCommand<pm_pastelink>				PPasteLink;
typedef PNullCommand<pm_polygonjoin>			PPolygonJoin;
typedef PNullCommand<pm_quit>					PQuit;
typedef PNullCommand<pm_restorecolor>			PRestoreColor;
typedef PNullCommand<pm_reversepolyvertices>	PReversePolyVertices;
typedef PNullCommand<pm_save>					PSave;
typedef PNullCommand<pm_savestatusoff>			PSaveStatusOff;
typedef PNullCommand<pm_selectall>				PSelectAll;
typedef PNullCommand<pm_sendbackward>			PSendBackward;
typedef PNullCommand<pm_sendtoback>				PSendToBack;
typedef PNullCommand<pm_separatecontent>		PSeparateContent;
typedef PNullCommand<pm_showpages>				PShowPages;
typedef PNullCommand<pm_styleend>				PStyleEnd;
typedef PNullCommand<pm_textedit>				PTextEdit;
typedef PNullCommand<pm_tile>					PTile;
typedef PNullCommand<pm_toggleframe>			PToggleFrame;
typedef PNullCommand<pm_ungroup>				PUngroup;
typedef PNullCommand<pm_unlink>					PUnlink;
typedef PNullCommand<pm_unmask>					PUnmask;
typedef PNullCommand<pm_zeropointreset>			PZeroPointReset;

#endif

// end of PNullCommand.h

