/*
 *--- PPageNumbers.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPageNumbers.html
 *-------------------------------------------------------------------------
 */

#include "PPageNumbers.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PPageNumbers::PPageNumbers
  (	short			nStartPage,
	short			nNumPages,
	short			bRestart,
	short			cStyle,
	const char *	sPrefix )
{
	PRequestBuf request(strlen(sPrefix) + 10);

	if (sPrefix == NULL)
		request << nStartPage << nNumPages << bRestart << cStyle << (short)0;
	else
		request << nStartPage << nNumPages << bRestart << cStyle << sPrefix;
				
	PCommand command(pm_pagenumbers, request);
}

// end of PPageNumbers.cpp
