/*
 *--- PPrintColor.cpp -----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPrintColor.html
 *-------------------------------------------------------------------------
 */

#include "PPrintColor.h"
#include "PGetPrintColor.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PPrintColor::PPrintColor
  (	PMBool			bMode,
	PMBool			bColors,
	PMBool			bConvert,
	PMBool			bOption,
	PMBool			bNegative,
	PMBool			bPreserveEPS,
	const char *	sName,
	short			nInRipSeps )
{
	PRequestBuf request(strlen(sName) + 16);

	request << bMode
			<< bColors
			<< bConvert
			<< bOption
			<< bNegative
			<< bPreserveEPS
			<< sName
			<< nInRipSeps;
			
	PCommand command(pm_printcolor, request);
}

PPrintColor::PPrintColor(const PGetPrintColor& inPrint)
{
	PRequestBuf request(strlen(inPrint.sName) + 16);

	request << inPrint.bMode
			<< inPrint.bColors
			<< inPrint.bConvert
			<< inPrint.bOption
			<< inPrint.bNegative
			<< inPrint.bPreserveEPS
			<< inPrint.sName
			<< inPrint.nInRipSeps;
			
	PCommand command(pm_printcolor, request);
}
// end of PPrintColor.cpp
