/*
 *--- PPrintDoc.cpp -------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPrintDoc.html
 *-------------------------------------------------------------------------
 */

#include "PPrintDoc.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PPrintDoc::PPrintDoc
  (	short			nCopies,
  	PMBool			bCollate,
	PMBool			bReverse,
	PMBool			bProof,
	const char *	sRange,
	PMBool			bBlank,
	short			cPages,
	PMBool			bIndependence,
	PMBool			bBook,
	PMBool			bBookSpec,
	short			bOrientation,
	PMBool			bSpreads,
	PMBool			bIgnNonPrint )
{
	PRequestBuf request(strlen(sRange) + 24);

	request << nCopies
			<< bCollate
			<< bReverse
			<< bProof
			<< sRange
			<< bBlank
			<< cPages
			<< bIndependence
			<< bBook
			<< bBookSpec
			<< bOrientation
			<< bSpreads
			<< bIgnNonPrint;
			
	PCommand command(pm_printdoc, request);
}

// end of PPrintDoc.cpp
