/*
 *--- PPrintFeature.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPrintFeature.html
 *-------------------------------------------------------------------------
 */

#include "PPrintFeature.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PPrintFeature::PPrintFeature(const char * sFeatureTitle, const char * sOption)
{
	PRequestBuf request(strlen(sFeatureTitle) + strlen(sOption) + 4);

	request << sFeatureTitle << sOption;
			
	PCommand command(pm_printfeature, request);
}

PPrintFeature::PPrintFeature(const char * sFeatureTitle)
{
	//The Option is left blank, so that the default will be selected.
	PRequestBuf request(strlen(sFeatureTitle) + 4);

	request << sFeatureTitle << "";

	PCommand command(pm_printfeature, request);
}
// end of PPrintFeature.cpp
