/*
 *--- PPrintPaperPS.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPrintPaperPS.html
 *-------------------------------------------------------------------------
 */

#include "PPrintPaperPS.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PPrintPaperPS::PPrintPaperPS
  (	const char *	sSize,
	const char *	sSource,
	long			yLength,
	long			xWidth,
	long			yPaperFeed,
	long			xPaperMargin,
	short			bOrientation,
	PMBool			bCenter,
	short			cTiling,
	long			xOverlap,
	short			cScaleType,
	short			nVal )	
{
	PRequestBuf request(strlen(sSize) + strlen(sSource) + 100);

	request << sSize
			<< sSource
			<< yLength
			<< xWidth
			<< yPaperFeed
			<< xPaperMargin
			<< bOrientation
			<< bCenter
			<< cTiling
			<< xOverlap
			<< cScaleType
			<< nVal
			<< (short) 0;	// obsolete parameter "cDuplex"
			
	PCommand command(pm_printpaperps, request);
}

// end of PPrintPaperPS.cpp
