/*
 *--- PResizePct.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PResizePct.html
 *-------------------------------------------------------------------------
 */

#include "PResizePct.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 10;

PResizePct::PResizePct
  (	short	cHandle,
	short	dXPercentage,
	short	dYPercentage,
	PMBool	bProp = false,
	PMBool	bBestSize = false )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << cHandle
			<< dXPercentage
			<< dYPercentage
			<< bProp
			<< bBestSize;
			
	PCommand command(pm_resizepct, request);
}

// end of PResizePct.cpp
