/*
 *--- PRuleOptions.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PRuleOptions.html
 *-------------------------------------------------------------------------
 */

#include "PRuleOptions.h"
#include "PGetRuleOptions.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 12;

PRuleOptions::PRuleOptions
  (	long	yTopOffset,
	long	yBottomOffset,
	short	bAlignToGrid,
	short	dGridSize )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << yTopOffset << yBottomOffset << bAlignToGrid << dGridSize;
			
	PCommand command(pm_ruleoptions, request);
}


PRuleOptions::PRuleOptions(const PGetRuleOptions& ruleOpts)
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << ruleOpts.nTopOffset
			<< ruleOpts.nBottomOffset
			<< (short) ruleOpts.bAlignToGrid
			<< ruleOpts.nGridSize;
			
	PCommand command(pm_ruleoptions, request);
}

// end of PRuleOptions.cpp
