/*
 *--- PShortCommand.h ------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:53 PM by Paul Ferguson.
 *
 * Description:
 *--------------------------------------------------------------
 */
#ifndef __PShortCommand__
#define __PShortCommand__

#include "PCommand.h"
#include "PKeywords.h"

template <ePMCommand COMMAND>
class PShortCommand
{
	public:  PShortCommand(short theShort) { PCommand command(COMMAND, theShort); }
	private: PShortCommand();
};

// typedef PShortCommand<pm_closestory>		PCloseStory;
typedef PShortCommand<pm_kerntext>			PKernText;
typedef PShortCommand<pm_leading>			PLeading;
typedef PShortCommand<pm_locklayers>		PLockLayers;
typedef PShortCommand<pm_new>				PNew;
typedef PShortCommand<pm_placenext>			PPlaceNext;
typedef PShortCommand<pm_polygontype>		PPolygonType;
typedef PShortCommand<pm_polygonmiterlimit>	PPolygonMiterLimit;
typedef PShortCommand<pm_position>			PPosition;
typedef PShortCommand<pm_printerresol>		PPrinterResol;
typedef PShortCommand<pm_roundedcorners>	PRoundedCorners;
typedef PShortCommand<pm_setwidth>			PSetWidth;
typedef PShortCommand<pm_showlayers>		PShowLayers;
typedef PShortCommand<pm_size>				PSize;
typedef PShortCommand<pm_tintselection>		PTintSelection;
typedef PShortCommand<pm_typestyle>			PTypeStyle;

class PCloseStory
{
	public:  PCloseStory(eCloseStory e) { PCommand command(pm_closestory, (short) e); }
	private: PCloseStory();
};

#endif

// end of PShortCommand.h
