/*
 *--- PSpaceOptions.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PSpaceOptions.html
 *-------------------------------------------------------------------------
 */

#include "PSpaceOptions.h"
#include "PGetSpaceOptions.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 8;

PSpaceOptions::PSpaceOptions
  (	PMBool	bAutoKerning,
	short	dPtThreshold,
	short	cLeading,
	short	dAutoleading)
{
	short x[4];
	x[0] = bAutoKerning;
	x[1] = dPtThreshold;
	x[2] = cLeading;
	x[3] = dAutoleading;
	PCommand(pm_spaceoptions, x, REQUEST_SIZE);
}

PSpaceOptions::PSpaceOptions(const PGetSpaceOptions& spaceOpts)
{
	short x[4];
	x[0] = spaceOpts.bAutoKerning;
	x[1] = spaceOpts.dPtThreshold;
	x[2] = spaceOpts.cLeading;
	x[3] = spaceOpts.dAutoleading;
	PCommand(pm_spaceoptions, x, REQUEST_SIZE);
}
// end of PSpaceOptions.cpp
