/*
 *--- PStringCommand.h -----------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:53 PM by Paul Ferguson.
 *
 * Description:
 *--------------------------------------------------------------
 */
#ifndef __PStringCommand__
#define __PStringCommand__

#ifndef __PCommand__
	#include "PCommand.h"
#endif

template <ePMCommand COMMAND>
class PStringCommand
{

public:

	PStringCommand(const char * theString) { PCommand command(COMMAND, theString); }

private:

	PStringCommand();
};

typedef PStringCommand<pm_addprinterstyle>		PAddPrinterStyle;
typedef PStringCommand<pm_basedon>				PBasedOn;
typedef PStringCommand<pm_defaultdir>			PDefaultDir;
//typedef PStringCommand<pm_defprintcolorspace>	PDefPrintColorSpace;
typedef PStringCommand<pm_deletemasterpage>		PDeleteMasterPage;
typedef PStringCommand<pm_dictionary>			PDictionary;
typedef PStringCommand<pm_downloadwebcontent>	PDownloadWebContent;
typedef PStringCommand<pm_editoriginal>			PEditOriginal;
typedef PStringCommand<pm_font>					PFont;
typedef PStringCommand<pm_nextstyle>			PNextStyle;
typedef PStringCommand<pm_printerstyle>			PPrinterStyle;
typedef PStringCommand<pm_relink>				PRelink;
typedef PStringCommand<pm_removecolor>			PRemoveColor;
typedef PStringCommand<pm_removeprinterstyle>	PRemovePrinterStyle;
typedef PStringCommand<pm_removestyle>			PRemoveStyle;
typedef PStringCommand<pm_style>				PStyle;
typedef PStringCommand<pm_stylebegin>			PStyleBegin;
typedef PStringCommand<pm_targetlayer>			PTargetLayer;
typedef PStringCommand<pm_textenter>			PTextEnter;

// PageMaker will execute the char string as a text command.
typedef PStringCommand<pm_execute_text>			PExecuteText;

#endif

// end of PStringCommand.h
