/*
 *--- PTrapSettings.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PTrapSettings.html
 *-------------------------------------------------------------------------
 */

#include "PTrapSettings.h"
#include "PGetTrapSettings.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 18;

PTrapSettings::PTrapSettings
  (	short	bEnable,
	long	xDefWidth,
	long	xBlackWidth,
	short	dStepLimit,
	short	dCentThresh,
	short	dTextLimit,
	short	bTrapOverImp )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << bEnable
			<< xDefWidth
			<< xBlackWidth
			<< dStepLimit
			<< dCentThresh
			<< dTextLimit
			<< bTrapOverImp;
			
	PCommand command(pm_trapsettings, request);
}

PTrapSettings::PTrapSettings(const PGetTrapSettings& trapSettings)
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << (short) trapSettings.bEnable
			<< trapSettings.xDefWidth
			<< trapSettings.xBlackWidth
			<< trapSettings.dStepLimit
			<< trapSettings.dCentThresh
			<< trapSettings.dTextLimit
			<< (short) trapSettings.bTrapOverImp;
			
	PCommand command(pm_trapsettings, request);
}

// end of PTrapSettings.cpp
